Control4 Discussion Board

Please or Register to create posts and topics.

4sight registraiton with Gary's Jailbreak tool

Page 1 of 2Next

Loveing Gary's new jailbreak tool (Thanks Gary) but I can't get it to work in combination with controller registration.  I have a 4sight account but its a no go on the controller registration.  Based on what I've read I'm pretty sure it has to do with some sort of SSL cert that is missing when Gary's tool creates the P12 and writes the certs tot he controller.   Any help is greatly appreciated.

Check your control4 account to see if you are registered if not in composer 3.1.3 use account services to register use name control4@control4.com

And password control4 let fail then canceled then registered controller it will also do a check in

Yup, that is what I did already. Trying to register via code on control4.com. It says it can’t register. It fails on the vpn portion.

Uploaded files:

I was able to register in 2.5.3, however. I can’t get back into 2.5.3 anymore. It won’t let me.

Quote from brians2803 on June 6, 2020, 9:49 am

Check your control4 account to see if you are registered if not in composer 3.1.3 use account services to register use name control4@control4.com

And password control4 let fail then canceled then registered controller it will also do a check in

Worked perfectly with me.

Quote from DanITman on June 6, 2020, 10:28 am

Yup, that is what I did already. Trying to register via code on control4.com. It says it can’t register. It fails on the vpn portion.

On the same session, cancel and click try again

Did it work for you with Garys tool or did you following the steps in the definitive guide?

Quote from DanITman on June 7, 2020, 8:01 am

Did it work for you with Garys tool or did you following the steps in the definitive guide?

I patched with Gary't tool.

this is the first time i got my 4sight subscription running. thanks to gary 😘

I finally got it working. Here is what I had to do.

My EA-1 controller had a factory image of 2.8.1. To upgrade your controller you have to be registered. This was the root of most of the my problems. To get it to register I had to use 2.5.3 to get it to register. You can use 2.5.3 by itself because it doesn't have the drivers for the EA-1, so you have to start with 2.5.3 and then open up 2.8.1 to add the controller to a project. Then go back to 2.5.3 to register. All of this causes problems when converting to 3.0 system.

To get around all of this pre 2.10 registering you can upgrade your firmware by using the image upgrade tool. http://update.control4.com/patches/C4_Device_Image_Updater_V2/C4_Device_Image_Updater_V2.zip

Use this tool to update your controller to 3.0 without having to register on OS2.

I did use Garry's tool to create all the certs and that worked great. I did append the ca_cert.pem found on other here just in case and it ended up registering. I still get an error at first but I let it sit and it finally registered.

Page 1 of 2Next